Bug 911226 - Review Request: perl-autodie - Replace functions with ones that succeed or die
Summary: Review Request: perl-autodie - Replace functions with ones that succeed or die
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Petr Šabata
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-02-14 15:35 UTC by Petr Pisar
Modified: 2013-04-20 19:14 UTC (History)
3 users (show)

Fixed In Version: perl-autodie-2.16-1.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-03-06 08:20:51 UTC
psabata: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Petr Pisar 2013-02-14 15:35:56 UTC
Spec URL: http://ppisar.fedorapeople.org/perl-autodie/perl-autodie.spec
SRPM URL: http://ppisar.fedorapeople.org/perl-autodie/perl-autodie-2.13-1.fc19.src.rpm
Description:
The "autodie" and "Fatal" pragma provides a convenient way to replace
functions that normally return false on failure with equivalents that throw an
exception on failure.

However "Fatal" has been obsoleted by the new autodie pragma. Please use
autodie in preference to "Fatal".

Fedora Account System Username: ppisar

----
This package is intended for rawhide only. It will dual-live after sub-packaging autodie from perl.spec.

Comment 1 Petr Pisar 2013-02-18 16:16:50 UTC
Sub-packaged in perl-5.16.2-259.fc19.

Comment 2 Petr Šabata 2013-03-05 14:34:30 UTC
Missing BRs:

perl(ExtUtils::MM_Unix) from inc/Module/Install/Metadata.pm:323
- via all_from() call in Makefile.PL
perl(warnings) from various places
- for consistency
perl(Tie::RefHash) from lib/Fatal.pm:7
perl(Socket) from t/recv.t:4

Everything else seems good.

Comment 3 Petr Pisar 2013-03-05 15:00:38 UTC
Updated package is on the same address.

Comment 4 Petr Šabata 2013-03-05 16:57:17 UTC
Alright, approving.

Comment 5 Petr Pisar 2013-03-05 17:32:36 UTC
New Package SCM Request
=======================
Package Name: perl-autodie
Short Description: Replace functions with ones that succeed or die
Owners: ppisar jplesnik psabata
Branches: 
InitialCC: perl-sig

Comment 6 Gwyn Ciesla 2013-03-05 17:37:50 UTC
Git done (by process-git-requests).

Comment 7 Petr Pisar 2013-03-06 08:20:51 UTC
Thank you for the review and the repository.

Comment 8 Fedora Update System 2013-04-11 11:02:10 UTC
perl-5.16.3-262.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/perl-5.16.3-262.fc19

Comment 9 Fedora Update System 2013-04-20 19:14:50 UTC
perl-5.16.3-262.fc19, perl-Sys-Syslog-0.32-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.